{# @hooked woocommerce_output_all_notices - 10 #}
{% do action( 'woocommerce_before_single_product' ) %}

<div class="Container SingleProductContainer">
    <div id="product-{{post.id}} "  {{ fn('wc_product_class' , '' , product) }} >

        <div class="SingleProductContainer__top relative grid gap-8 lg:gap-24 grid-cols-1 md:grid-cols-2 mt-10">
            <div class="LoopProduct__badges z-10">
                {% do action( 'woocommerce_show_loop_item_badges', post.id ) %}
            </div>

            {# @hooked woocommerce_show_product_sale_flash - 10 #}
            {# @hooked woocommerce_show_product_images - 20 #}
            {# {{ remove_action('woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10) }} #}
            {# {% do action( 'woocommerce_before_single_product_summary' ) %} #}
            
            {% include 'woocommerce/components/ProductGallery/product-gallery.twig' %}

            <div class="summary entry-summary">

                <div class="wishlist float-right">{{ fn('do_shortcode', '[ti_wishlists_addtowishlist]') }}</div>
                
                {# @hooked woocommerce_template_single_title - 5 #}
                {# @hooked woocommerce_template_single_rating - 10 #}
                {# @hooked woocommerce_template_single_excerpt - 20 #}
                {# @hooked woocommerce_template_single_price - 10 #}
                {# @hooked woocommerce_template_single_add_to_cart - 30 #}
                {# @hooked woocommerce_template_single_meta - 40 #}
                {# @hooked woocommerce_template_single_sharing - 50 #}
                {# @hooked WC_Structured_Data::generate_product_data() - 60 #}
                {# @hooked WC_Structured_Data::generate_product_data() - 60 #}

                {# {{ remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_title', 5) }} #}
                {% do action( 'woocommerce_single_product_summary' ) %}
                
                {% include 'woocommerce/single-product/elements/product-delivery-time.twig' %}

                {% include 'woocommerce/single-product/elements/product-return-time.twig' %}
            </div>
        </div>
        
        {# @hooked woocommerce_output_product_data_tabs - 10 #}
        {# @hooked woocommerce_upsell_display - 15 #}
        {# @hooked woocommerce_output_related_products - 20 #}
        {{ remove_action('woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15) }}
        {{ remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20) }}
        {% do action( 'woocommerce_after_single_product_summary' ) %}
        </div>
    </div>

    {% include 'woocommerce/single-product/elements/upsell-products.twig' %}

    {% include 'woocommerce/single-product/elements/cross-sell-products.twig' %}

    {% include 'woocommerce/single-product/elements/related-products.twig' %}

{% do action( 'woocommerce_after_single_product' ) %} 
